app:
  icon: "\U0001F4C4"
  icon_background: '#E0EAFF'
  mode: workflow
  name: "deepseek \u6587\u6863\u7FFB\u8BD1\u5668"
kind: app
version: 0.1.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: start
        targetType: iteration
      id: 1739172739942-source-1739176506871-target
      source: '1739172739942'
      sourceHandle: source
      target: '1739176506871'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: true
        iteration_id: '1739176506871'
        sourceType: iteration-start
        targetType: document-extractor
      id: 1739176506871start-source-1739176527617-target
      source: 1739176506871start
      sourceHandle: source
      target: '1739176527617'
      targetHandle: target
      type: custom
      zIndex: 1002
    - data:
        isInIteration: true
        iteration_id: '1739176506871'
        sourceType: document-extractor
        targetType: llm
      id: 1739176527617-source-1739176531313-target
      source: '1739176527617'
      sourceHandle: source
      target: '1739176531313'
      targetHandle: target
      type: custom
      zIndex: 1002
    - data:
        isInIteration: false
        sourceType: iteration
        targetType: end
      id: 1739176506871-source-1739177400993-target
      source: '1739176506871'
      sourceHandle: source
      target: '1739177400993'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: Start
        type: start
        variables:
        - label: style
          max_length: 48
          options:
          - Formal
          - Professional
          - Casual
          - Enthusiastic
          - Humorous
          required: true
          type: select
          variable: style
        - allowed_file_extensions: []
          allowed_file_types:
          - document
          allowed_file_upload_methods:
          - local_file
          - remote_url
          label: file
          max_length: 5
          options: []
          required: true
          type: file-list
          variable: file
      height: 116
      id: '1739172739942'
      position:
        x: 80
        y: 282
      positionAbsolute:
        x: 80
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        error_handle_mode: terminated
        height: 190
        is_parallel: true
        iterator_selector:
        - '1739172739942'
        - file
        output_selector:
        - '1739176531313'
        - text
        output_type: array[string]
        parallel_nums: 10
        selected: false
        start_node_id: 1739176506871start
        title: Iteration
        type: iteration
        width: 774
      height: 190
      id: '1739176506871'
      position:
        x: 384
        y: 282
      positionAbsolute:
        x: 384
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 774
      zIndex: 1
    - data:
        desc: ''
        isInIteration: true
        selected: false
        title: ''
        type: iteration-start
      draggable: false
      height: 48
      id: 1739176506871start
      parentId: '1739176506871'
      position:
        x: 24
        y: 68
      positionAbsolute:
        x: 408
        y: 350
      selectable: false
      sourcePosition: right
      targetPosition: left
      type: custom-iteration-start
      width: 44
      zIndex: 1002
    - data:
        desc: ''
        isInIteration: true
        is_array_file: true
        iteration_id: '1739176506871'
        selected: false
        title: Doc Extractor
        type: document-extractor
        variable_selector:
        - '1739172739942'
        - file
      height: 92
      id: '1739176527617'
      parentId: '1739176506871'
      position:
        x: 128
        y: 68
      positionAbsolute:
        x: 512
        y: 350
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
      zIndex: 1002
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        isInIteration: true
        iteration_id: '1739176506871'
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: deepseek-reasoner
          provider: deepseek
        prompt_template:
        - id: fff544b2-f15d-44b6-9109-6d708c0a9809
          role: system
          text: "<\u89D2\u8272>\n\u4F60\u662F\u4E00\u4E2A\u4E2D\u82F1\u6587\u7FFB\u8BD1\
            \u4E13\u5BB6\uFF0C\u5C06\u7528\u6237\u8F93\u5165\u7684\u4E2D\u6587\u7FFB\
            \u8BD1\u6210\u82F1\u6587\uFF0C\u6216\u5C06\u7528\u6237\u8F93\u5165\u7684\
            \u82F1\u6587\u7FFB\u8BD1\u6210\u4E2D\u6587\u3002\n</\u89D2\u8272>\n\n\
            <\u4EFB\u52A1>\n\u4F60\u9700\u8981\u9075\u5FAA\u8981\u6C42\u7684\u7FFB\
            \u8BD1\u98CE\u683C\u3002\n\u5BF9\u4E8E\u975E\u4E2D\u6587\u5185\u5BB9\uFF0C\
            \u5B83\u5C06\u63D0\u4F9B\u4E2D\u6587\u7FFB\u8BD1\u7ED3\u679C\u3002\u7528\
            \u6237\u53EF\u4EE5\u5411\u52A9\u624B\u53D1\u9001\u9700\u8981\u7FFB\u8BD1\
            \u7684\u5185\u5BB9\uFF0C\u52A9\u624B\u4F1A\u56DE\u7B54\u76F8\u5E94\u7684\
            \u7FFB\u8BD1\u7ED3\u679C\uFF0C\u5E76\u786E\u4FDD\u7B26\u5408\u4E2D\u6587\
            \u8BED\u8A00\u4E60\u60EF\uFF0C\u4F60\u53EF\u4EE5\u8C03\u6574\u8BED\u6C14\
            \u548C\u98CE\u683C\uFF0C\u5E76\u8003\u8651\u5230\u67D0\u4E9B\u8BCD\u8BED\
            \u7684\u6587\u5316\u5185\u6DB5\u548C\u5730\u533A\u5DEE\u5F02\u3002\n\u540C\
            \u65F6\u4F5C\u4E3A\u7FFB\u8BD1\u5BB6\uFF0C\u9700\u5C06\u539F\u6587\u7FFB\
            \u8BD1\u6210\u5177\u6709\u4FE1\u8FBE\u96C5\u6807\u51C6\u7684\u8BD1\u6587\
            \u3002\"\u4FE1\" \u5373\u5FE0\u5B9E\u4E8E\u539F\u6587\u7684\u5185\u5BB9\
            \u4E0E\u610F\u56FE\uFF1B\"\u8FBE\" \u610F\u5473\u7740\u8BD1\u6587\u5E94\
            \u901A\u987A\u6613\u61C2\uFF0C\u8868\u8FBE\u6E05\u6670\uFF1B\"\u96C5\"\
            \ \u5219\u8FFD\u6C42\u8BD1\u6587\u7684\u6587\u5316\u5BA1\u7F8E\u548C\u8BED\
            \u8A00\u7684\u4F18\u7F8E\u3002\u76EE\u6807\u662F\u521B\u4F5C\u51FA\u65E2\
            \u5FE0\u4E8E\u539F\u4F5C\u7CBE\u795E\uFF0C\u53C8\u7B26\u5408\u76EE\u6807\
            \u8BED\u8A00\u6587\u5316\u548C\u8BFB\u8005\u5BA1\u7F8E\u7684\u7FFB\u8BD1\
            \u3002\n\u7FFB\u8BD1\u98CE\u683C\uFF1A{{#1739172739942.style#}}\n</\u4EFB\
            \u52A1>\n\n<\u9650\u5236>\n\u4E0D\u5F97\u8F93\u51FA\u548C\u539F\u6587\u65E0\
            \u5173\u7684\u5E9F\u8BDD\n</\u9650\u5236>\n"
        - id: 54e921f3-e4ef-43c8-9090-1bffca1f8d94
          role: user
          text: '{{#1739176527617.text#}}'
        selected: false
        title: LLM
        type: llm
        variables: []
        vision:
          enabled: false
      height: 98
      id: '1739176531313'
      parentId: '1739176506871'
      position:
        x: 432
        y: 68
      positionAbsolute:
        x: 816
        y: 350
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
      zIndex: 1002
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1739176506871'
          - output
          variable: output
        selected: false
        title: End
        type: end
      height: 90
      id: '1739177400993'
      position:
        x: 1301
        y: 282
      positionAbsolute:
        x: 1301
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        author: stvlynn
        desc: ''
        height: 183
        selected: false
        showAuthor: true
        text: "{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"\
          mode\":\"normal\",\"style\":\"font-size: 14px;\",\"text\":\"\u591A\u8BED\
          \u8A00\u6587\u6863\u7FFB\u8BD1\u5DE5\u5177\",\"type\":\"text\",\"version\"\
          :1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\"\
          ,\"version\":1,\"textFormat\":0},{\"children\":[],\"direction\":\"ltr\"\
          ,\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"textFormat\"\
          :0},{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\"\
          :\"\",\"text\":\"\u8FD9\u662F\u4E00\u6B3E\u53EF\u4EE5\u81EA\u52A8\u5316\u6587\
          \u6863\u89E3\u6790\u3001\u98CE\u683C\u7FFB\u8BD1\u548C\u6279\u91CF\u5904\
          \u7406\u7684\u7FFB\u8BD1\u5DE5\u5177\u3002\",\"type\":\"text\",\"version\"\
          :1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\"\
          ,\"version\":1,\"textFormat\":0},{\"children\":[],\"direction\":\"ltr\"\
          ,\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"textFormat\"\
          :0},{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\"\
          :\"\",\"text\":\"\u4F60\u53EF\u4EE5\u5728\u5F00\u59CB\u65F6\u8BBE\u7F6E\u7FFB\
          \u8BD1\u98CE\u683C\u3002\",\"type\":\"text\",\"version\":1}],\"direction\"\
          :\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\"\
          :1,\"textFormat\":0}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"\
          type\":\"root\",\"version\":1}}"
        theme: blue
        title: ''
        type: ''
        width: 379
      height: 183
      id: '1739451232752'
      position:
        x: 80
        y: 15.798696612205717
      positionAbsolute:
        x: 80
        y: 15.798696612205717
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 379
    viewport:
      x: 230.75061246211635
      y: 240.04388634934082
      zoom: 1.073260286393453
